> ## Documentation Index
> Fetch the complete documentation index at: https://docs.play.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Conversation

> Retrieve all information about an agent conversation.



## OpenAPI

````yaml GET /api/v1/agents/{agentId}/conversations/{conversationId}
openapi: 3.1.0
info:
  title: PlayAI API
  version: 1.0.0
  description: |
    A single, combined OpenAPI specification that merges:
      • PlayAI Agent API
      • PlayAI PlayNote API
      • PlayAI Text-to-Speech (TTS) API
      • PlayAI Dialog Turbo API

    This file contains all endpoints, schemas, and components 
    from the four original specs. See "Merged Issues" below 
    for notes on how certain conflicts were resolved.
servers:
  - url: https://api.play.ai
security:
  - ApiKeyAuth: []
    XUserIdAuth: []
paths:
  /api/v1/agents/{agentId}/conversations/{conversationId}:
    get:
      description: Get a conversation for an agent.
      parameters:
        - name: agentId
          in: path
          description: The agent's ID.
          required: true
          schema:
            $ref: '#/components/schemas/AgentId'
        - name: conversationId
          in: path
          description: The conversation's ID.
          required: true
          schema:
            type: string
        - name: accept
          in: header
          required: false
          schema:
            type: string
            enum:
              - application/json
      responses:
        '200':
          description: Conversation retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationResource'
      security:
        - ApiKeyAuth: []
          XUserIdAuth: []
components:
  schemas:
    AgentId:
      description: The unique ID for each agent.
      type: string
      example: f0gZrOKBKL7veJ6o1M
    ConversationResource:
      type: object
      properties:
        id:
          type: string
          example: tIKQo8GMvOZyGx0Wm2RT
        source:
          type: string
          example: web
        callerEmail:
          type: string
          example: test@gmail.com
        startedAt:
          type: string
          format: date-time
          example: '2024-06-04T15:13:53.687Z'
        endedAt:
          type: string
          format: date-time
          example: '2024-06-04T15:18:54.687Z'
        durationInSeconds:
          type: integer
          example: 301
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: >
        Your secret API key from [PlayAI](https://play.ai/api/keys), formatted
        as `Bearer YOUR_SECRET_API_KEY`.
    XUserIdAuth:
      type: apiKey
      in: header
      name: X-USER-ID
      description: |
        Your unique user ID from [PlayAI](https://play.ai/api/keys).
      x-prompt: What is your PlayAI user ID?

````